From 4d74bd14c0fa158c5a2bcf18192f418fafc3a053 Mon Sep 17 00:00:00 2001
From: Tomas Chvatal <tchvatal@suse.cz>
Date: Fri, 23 Mar 2012 11:59:02 +0100
Subject: [PATCH 1/2] Add support for new ffmpeg-10/11 api.

---
 configure.in    |    3 +++
 lib/DllAvUtil.h |    3 +++
 2 files changed, 6 insertions(+), 0 deletions(-)

diff --git a/configure.in b/configure.in
index bca9239..bea66ac 100755
--- a/configure.in
+++ b/configure.in
@@ -1225,6 +1225,9 @@ if test "$use_external_ffmpeg" = "yes"; then
   # old FFmpeg have this in libavcodec/opt.h instead:
   AC_CHECK_HEADERS([libavutil/opt.h])
 
+  # new FFmpeg have math headers
+  AC_CHECK_HEADERS([libavutil/mathematics.h],,)
+
   # We'll support the use of rgb2rgb.h if it exists.
   AC_CHECK_HEADERS([libswscale/rgb2rgb.h],,)
   AC_CHECK_HEADERS([ffmpeg/rgb2rgb.h],,)
diff --git a/lib/DllAvUtil.h b/lib/DllAvUtil.h
index e882cac..e3b8a02 100644
--- a/lib/DllAvUtil.h
+++ b/lib/DllAvUtil.h
@@ -59,6 +59,9 @@ extern "C" {
   #else
     #include <ffmpeg/mem.h>
   #endif
+  #if (defined HAVE_LIBAVUTIL_MATHEMATICS_H)
+    #include <libavutil/mathematics.h>
+  #endif
 #else
   #include "libavutil/avutil.h"
   #include "libavutil/crc.h"
-- 
1.7.3.4

